tigase.xmpp.impl.roster

## Class RosterFlat

- java.lang.Object
- - tigase.xmpp.impl.roster.RosterAbstract
  - - tigase.xmpp.impl.roster.RosterFlat

-     public class RosterFlat
      extends RosterAbstract

  Describe class RosterFlat here. Created: Tue Feb 21 18:05:53 2006
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class tigase.xmpp.impl.roster.RosterAbstract

      `RosterAbstract.PresenceType, RosterAbstract.StateTransition, RosterAbstract.SubscriptionType`

  - ### Field Summary

    - ### Fields inherited from class tigase.xmpp.impl.roster.RosterAbstract

      `CLIENT_XMLNS, DISCO_FEATURES, FEATURES, FROM_SUBSCRIBED, GROUP, GROUPS, INITIAL_PRESENCES, NAME, PENDING_IN, PENDING_OUT, ROSTER, ROSTER_XMLNS, ROSTERHASH, SUB_BOTH, SUB_FROM, SUB_NONE, SUB_TO, SUBSCRIPTION, TO_SUBSCRIBED, VER_ATT, XMLNS, XMLNS_DYNAMIC`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RosterFlat()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `addBuddy(RosterElement relem, Map<tigase.xmpp.BareJID,RosterElement> roster)` Method description
    `void` | `addBuddy(XMPPResourceConnection session, tigase.xmpp.JID buddy, String name, String[] groups, String otherData)` Method description
    `boolean` | `addBuddyGroup(XMPPResourceConnection session, tigase.xmpp.JID buddy, String[] groups)` Method description
    `RosterElement` | `addTempBuddy(tigase.xmpp.JID buddy, XMPPResourceConnection session)` Method description
    `boolean` | `containsBuddy(XMPPResourceConnection session, tigase.xmpp.JID buddy)` Method description
    `tigase.xmpp.JID[]` | `getBuddies(XMPPResourceConnection session)` Method description
    `String[]` | `getBuddyGroups(XMPPResourceConnection session, tigase.xmpp.JID buddy)` Method description
    `tigase.xml.Element` | `getBuddyItem(RosterElement relem)` Method description
    `tigase.xml.Element` | `getBuddyItem(XMPPResourceConnection session, tigase.xmpp.JID buddy)` Method description
    `String` | `getBuddyName(XMPPResourceConnection session, tigase.xmpp.JID buddy)` Method description
    `RosterAbstract.SubscriptionType` | `getBuddySubscription(XMPPResourceConnection session, tigase.xmpp.JID buddy)` Method description
    `String` | `getCustomStatus(XMPPResourceConnection session, tigase.xmpp.JID buddy)` Method description
    `RosterElement` | `getRosterElement(XMPPResourceConnection session, tigase.xmpp.JID buddy)` Method description
    `RosterElement` | `getRosterElementInstance(tigase.xmpp.JID buddy, String name, String[] groups, XMPPResourceConnection session)` Method description
    `List<tigase.xml.Element>` | `getRosterItems(XMPPResourceConnection session)` Method description
    `protected Map<tigase.xmpp.BareJID,RosterElement>` | `getUserRoster(XMPPResourceConnection session)`
    `boolean` | `isModified(XMPPResourceConnection session)`
    `boolean` | `isOnline(XMPPResourceConnection session, tigase.xmpp.JID buddy)` Method description
    `void` | `logout(XMPPResourceConnection session)` Method description
    `boolean` | `parseRoster(String roster_str, Map<tigase.xmpp.BareJID,RosterElement> roster, XMPPResourceConnection session)` Method description
    `static boolean` | `parseRosterUtil(String roster_str, Map<tigase.xmpp.BareJID,RosterElement> roster, XMPPResourceConnection session)` Method description
    `boolean` | `presenceSent(XMPPResourceConnection session, tigase.xmpp.JID buddy)` Method description
    `boolean` | `removeBuddy(XMPPResourceConnection session, tigase.xmpp.JID jid)` Method description
    `protected void` | `saveUserRoster(XMPPResourceConnection session)` Method description
    `void` | `setBuddyName(XMPPResourceConnection session, tigase.xmpp.JID buddy, String name)` Method description
    `void` | `setBuddySubscription(XMPPResourceConnection session, RosterAbstract.SubscriptionType subscription, tigase.xmpp.JID buddy)` Method description
    `void` | `setOnline(XMPPResourceConnection session, tigase.xmpp.JID buddy, boolean online)` Method description
    `void` | `setPresenceSent(XMPPResourceConnection session, tigase.xmpp.JID buddy, boolean sent)` Method description

    - ### Methods inherited from class tigase.xmpp.impl.roster.RosterAbstract

      `getBuddies, getBuddiesHash, getPresenceType, getStateTransition, groupNode, init, isPendingIn, isSubscribedFrom, isSubscribedFrom, isSubscribedTo, updateBuddyChange, updateBuddySubscription, updateRosterHash`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RosterFlat

          public RosterFlat()

  - ### Method Detail

    - #### addBuddy

          public static boolean addBuddy(RosterElement relem,
                         Map<tigase.xmpp.BareJID,RosterElement> roster)

      Method description
      Parameters:
        `relem` -
        `roster` -
      Returns:

    - #### addTempBuddy

          public RosterElement addTempBuddy(tigase.xmpp.JID buddy,
                                   XMPPResourceConnection session)
                                     throws NotAuthorizedException,
                                            TigaseDBException

      Method description
      Parameters:
        `buddy` -
        `session` -
      Returns:
      Throws:
        `NotAuthorizedException`
        `TigaseDBException`

    - #### parseRosterUtil

          public static boolean parseRosterUtil(String roster_str,
                                Map<tigase.xmpp.BareJID,RosterElement> roster,
                                XMPPResourceConnection session)

      Method description
      Parameters:
        `roster_str` -
        `roster` -
        `session` -
      Returns:

    - #### addBuddy

          public void addBuddy(XMPPResourceConnection session,
                      tigase.xmpp.JID buddy,
                      String name,
                      String[] groups,
                      String otherData)
                        throws NotAuthorizedException,
                               TigaseDBException

      Description copied from class: `RosterAbstract`
      Method description
      Specified by:
        `addBuddy` in class `RosterAbstract`
      Throws:
        `NotAuthorizedException`
        `TigaseDBException`

    - #### addBuddyGroup

          public boolean addBuddyGroup(XMPPResourceConnection session,
                              tigase.xmpp.JID buddy,
                              String[] groups)
                                throws NotAuthorizedException,
                                       TigaseDBException

      Description copied from class: `RosterAbstract`
      Method description
      Specified by:
        `addBuddyGroup` in class `RosterAbstract`
      Returns:
        a value of `boolean`
      Throws:
        `NotAuthorizedException`
        `TigaseDBException`

    - #### containsBuddy

          public boolean containsBuddy(XMPPResourceConnection session,
                              tigase.xmpp.JID buddy)
                                throws NotAuthorizedException,
                                       TigaseDBException

      Description copied from class: `RosterAbstract`
      Method description
      Specified by:
        `containsBuddy` in class `RosterAbstract`
      Returns:
        a value of `boolean`
      Throws:
        `NotAuthorizedException`
        `TigaseDBException`

    - #### getBuddies

          public tigase.xmpp.JID[] getBuddies(XMPPResourceConnection session)
                                       throws NotAuthorizedException,
                                              TigaseDBException

      Description copied from class: `RosterAbstract`
      Method description
      Specified by:
        `getBuddies` in class `RosterAbstract`
      Returns:
        a value of `JID[]`
      Throws:
        `NotAuthorizedException`
        `TigaseDBException`

    - #### getBuddyGroups

          public String[] getBuddyGroups(XMPPResourceConnection session,
                                tigase.xmpp.JID buddy)
                                  throws NotAuthorizedException,
                                         TigaseDBException

      Description copied from class: `RosterAbstract`
      Method description
      Specified by:
        `getBuddyGroups` in class `RosterAbstract`
      Returns:
        a value of `String[]`
      Throws:
        `NotAuthorizedException`
        `TigaseDBException`

    - #### getBuddyItem

          public tigase.xml.Element getBuddyItem(RosterElement relem)

      Method description
      Parameters:
        `relem` -

    - #### getBuddyItem

          public tigase.xml.Element getBuddyItem(XMPPResourceConnection session,
                                        tigase.xmpp.JID buddy)
                                          throws NotAuthorizedException,
                                                 TigaseDBException

      Description copied from class: `RosterAbstract`
      Method description
      Overrides:
        `getBuddyItem` in class `RosterAbstract`
      Returns:
        a value of `Element`
      Throws:
        `NotAuthorizedException`
        `TigaseDBException`

    - #### getBuddyName

          public String getBuddyName(XMPPResourceConnection session,
                            tigase.xmpp.JID buddy)
                              throws NotAuthorizedException,
                                     TigaseDBException

      Description copied from class: `RosterAbstract`
      Method description
      Specified by:
        `getBuddyName` in class `RosterAbstract`
      Returns:
        a value of `String`
      Throws:
        `NotAuthorizedException`
        `TigaseDBException`

    - #### getBuddySubscription

          public RosterAbstract.SubscriptionType getBuddySubscription(XMPPResourceConnection session,
                                                             tigase.xmpp.JID buddy)
                                                               throws NotAuthorizedException,
                                                                      TigaseDBException

      Description copied from class: `RosterAbstract`
      Method description
      Specified by:
        `getBuddySubscription` in class `RosterAbstract`
      Returns:
        a value of `SubscriptionType`
      Throws:
        `NotAuthorizedException`
        `TigaseDBException`

    - #### getRosterElementInstance

          public RosterElement getRosterElementInstance(tigase.xmpp.JID buddy,
                                               String name,
                                               String[] groups,
                                               XMPPResourceConnection session)

      Method description
      Parameters:
        `buddy` -
        `name` -
        `groups` -
        `session` -

    - #### getRosterItems

          public List<tigase.xml.Element> getRosterItems(XMPPResourceConnection session)
                                                  throws NotAuthorizedException,
                                                         TigaseDBException

      Description copied from class: `RosterAbstract`
      Method description
      Overrides:
        `getRosterItems` in class `RosterAbstract`
      Returns:
        a value of `List`
      Throws:
        `NotAuthorizedException`
        `TigaseDBException`

    - #### isOnline

          public boolean isOnline(XMPPResourceConnection session,
                         tigase.xmpp.JID buddy)
                           throws NotAuthorizedException,
                                  TigaseDBException

      Description copied from class: `RosterAbstract`
      Method description
      Specified by:
        `isOnline` in class `RosterAbstract`
      Returns:
        a value of `boolean`
      Throws:
        `NotAuthorizedException`
        `TigaseDBException`

    - #### parseRoster

          public boolean parseRoster(String roster_str,
                            Map<tigase.xmpp.BareJID,RosterElement> roster,
                            XMPPResourceConnection session)

      Method description
      Parameters:
        `roster_str` -
        `roster` -
        `session` -

    - #### presenceSent

          public boolean presenceSent(XMPPResourceConnection session,
                             tigase.xmpp.JID buddy)
                               throws NotAuthorizedException,
                                      TigaseDBException

      Description copied from class: `RosterAbstract`
      Method description
      Specified by:
        `presenceSent` in class `RosterAbstract`
      Returns:
        a value of `boolean`
      Throws:
        `NotAuthorizedException`
        `TigaseDBException`

    - #### removeBuddy

          public boolean removeBuddy(XMPPResourceConnection session,
                            tigase.xmpp.JID jid)
                              throws NotAuthorizedException,
                                     TigaseDBException

      Description copied from class: `RosterAbstract`
      Method description
      Specified by:
        `removeBuddy` in class `RosterAbstract`
      Returns:
        a value of `boolean`
      Throws:
        `NotAuthorizedException`
        `TigaseDBException`

    - #### setBuddyName

          public void setBuddyName(XMPPResourceConnection session,
                          tigase.xmpp.JID buddy,
                          String name)
                            throws NotAuthorizedException,
                                   TigaseDBException

      Description copied from class: `RosterAbstract`
      Method description
      Specified by:
        `setBuddyName` in class `RosterAbstract`
      Throws:
        `NotAuthorizedException`
        `TigaseDBException`

    - #### setBuddySubscription

          public void setBuddySubscription(XMPPResourceConnection session,
                                  RosterAbstract.SubscriptionType subscription,
                                  tigase.xmpp.JID buddy)
                                    throws NotAuthorizedException,
                                           TigaseDBException

      Description copied from class: `RosterAbstract`
      Method description
      Specified by:
        `setBuddySubscription` in class `RosterAbstract`
      Throws:
        `NotAuthorizedException`
        `TigaseDBException`

    - #### setOnline

          public void setOnline(XMPPResourceConnection session,
                       tigase.xmpp.JID buddy,
                       boolean online)
                         throws NotAuthorizedException,
                                TigaseDBException

      Description copied from class: `RosterAbstract`
      Method description
      Specified by:
        `setOnline` in class `RosterAbstract`
      Throws:
        `NotAuthorizedException`
        `TigaseDBException`

    - #### setPresenceSent

          public void setPresenceSent(XMPPResourceConnection session,
                             tigase.xmpp.JID buddy,
                             boolean sent)
                               throws NotAuthorizedException,
                                      TigaseDBException

      Description copied from class: `RosterAbstract`
      Method description
      Specified by:
        `setPresenceSent` in class `RosterAbstract`
      Throws:
        `NotAuthorizedException`
        `TigaseDBException`

    - #### getRosterElement

          public RosterElement getRosterElement(XMPPResourceConnection session,
                                       tigase.xmpp.JID buddy)
                                         throws NotAuthorizedException,
                                                TigaseDBException

      Description copied from class: `RosterAbstract`
      Method description
      Specified by:
        `getRosterElement` in class `RosterAbstract`
      Parameters:
        `session` - is a `XMPPResourceConnection`
        `buddy` - is a `JID`
      Returns:
        a value of `RosterElementIfc`
      Throws:
        `NotAuthorizedException`
        `TigaseDBException`

    - #### getUserRoster

          protected Map<tigase.xmpp.BareJID,RosterElement> getUserRoster(XMPPResourceConnection session)
                                                                  throws NotAuthorizedException,
                                                                         TigaseDBException

      Throws:
        `NotAuthorizedException`
        `TigaseDBException`

    - #### saveUserRoster

          protected void saveUserRoster(XMPPResourceConnection session)
                                 throws NotAuthorizedException,
                                        TigaseDBException

      Method description
      Parameters:
        `session` -
      Throws:
        `NotAuthorizedException`
        `TigaseDBException`

    - #### getCustomStatus

          public String getCustomStatus(XMPPResourceConnection session,
                               tigase.xmpp.JID buddy)
                                 throws NotAuthorizedException,
                                        TigaseDBException

      Method description
      Specified by:
        `getCustomStatus` in class `RosterAbstract`
      Parameters:
        `session` -
        `buddy` -
      Returns:
        a value of `String`
      Throws:
        `NotAuthorizedException`
        `TigaseDBException`

    - #### logout

          public void logout(XMPPResourceConnection session)

      Description copied from class: `RosterAbstract`
      Method description
      Specified by:
        `logout` in class `RosterAbstract`
      Parameters:
        `session` - is a `XMPPResourceConnection`

    - #### isModified

          public boolean isModified(XMPPResourceConnection session)
                             throws NotAuthorizedException,
                                    TigaseDBException

      Parameters:
        `session` -
      Returns:
      Throws:
        `TigaseDBException`
        `NotAuthorizedException`

Copyright © 2014 "Tigase, Inc.". All rights reserved.